### Method

# WebKit2WebExtension DOMWheelEvent init_wheel_event

#### Declaration [src]

    void
    webkit_dom_wheel_event_init_wheel_event (
      WebKitDOMWheelEvent* self,
      glong wheelDeltaX,
      glong wheelDeltaY,
      WebKitDOMDOMWindow* view,
      glong screenX,
      glong screenY,
      glong clientX,
      glong clientY,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`wheelDeltaX` | `glong`
| A #glong.
`wheelDeltaY` | `glong`
| A #glong.
`view` | `WebKitDOMDOMWindow`
| A `WebKitDOMDOMWindow`.
| The data is owned by the caller of the function.
`screenX` | `glong`
| A #glong.
`screenY` | `glong`
| A #glong.
`clientX` | `glong`
| A #glong.
`clientY` | `glong`
| A #glong.
`ctrlKey` | `gboolean`
| A #gboolean.
`altKey` | `gboolean`
| A #gboolean.
`shiftKey` | `gboolean`
| A #gboolean.
`metaKey` | `gboolean`
| A #gboolean.